﻿@{
    ViewBag.Title = "Мои кафешечки";
}
@using X.PagedList.Mvc.Core
@using X.PagedList.Mvc.Core.Common
@model X.PagedList.IPagedList<Place.BL.Models.Place.PlaceModel>


<h3>Галлерея кафешечек</h3>
<ul>
    <li><div class="row m-8">
            @foreach (var place in Model)
            {
                <div class="col-4">
                    <div class="card p-0 m-3">
                        <img class="card-img-top w-100" style="height: auto" src="~/@place.MainImageFilePath">
                        <div class="card-body">
                            <h5 class="card-title m-0 text-center">
                                <a asp-controller="Place" asp-action="Index" asp-route-placeId="@place.Id">@place.Title</a>
                            </h5>
                        </div>
                        <div class="card-footer">
                            <div>@place.PicturesCount photos</div>
                        </div>
                    </div>
                </div>
            }
        </div>
    </li>
</ul>


@{
    if (Model.Count != 0)
    {
        <div class="text-center">
            <br />
            @Html.PagedListPager(Model, page => Url.Action("Index", new { page = page, value = ViewBag.Value }),
                new PagedListRenderOptions
                {
                    LiElementClasses = new string[] { "page-item" },
                    PageClasses = new string[] { "page-link" }
                })
        </div>
    }
}
